import 'package:flutter/material.dart';

import 'Consts.dart';

class ArtemisCardField extends StatelessWidget {
  final String title;
  final String value;
  final String? titleSuffix;
  final Color valueColor;
  final double scale;
  final bool rightAlight;

  const ArtemisCardField(
      {Key? key,
      required this.title,
      required this.value,
      this.titleSuffix,
      this.rightAlight = false,
      this.valueColor = ArtemisColors.black,
      this.scale = 1.0})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment:
          rightAlight ? CrossAxisAlignment.end : CrossAxisAlignment.start,
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Row(
          mainAxisAlignment:
              rightAlight ? MainAxisAlignment.end : MainAxisAlignment.start,
          children: [
            Text(title,
                style: TextStyle(
                    color: ArtemisColors.brownGrey, fontSize: 12 * scale)),
            Text(titleSuffix == null ? "" : "  $titleSuffix",
                style: TextStyle(
                    color: Colors.red,
                    fontSize: 12 * scale,
                    fontWeight: FontWeight.bold)),
          ],
        ),
        SizedBox(height: 2),
        Text(value,
            style: TextStyle(
                color: valueColor,
                fontSize: 16 * scale,
                fontWeight: FontWeight.w600)),
      ],
    );
  }
}
