import 'package:flutter/material.dart';
import 'package:flutter_vector_icons/flutter_vector_icons.dart';

import 'Consts.dart';

class ArtemisTimeField extends StatelessWidget {
  final String? label;
  final String? value;
  final Color labelColor;
  final Color valueColor;
  final Color backgroundColor;
  final void Function()? onChange;

  const ArtemisTimeField({
    Key? key,
    this.backgroundColor = ArtemisColors.white2,
    this.label = "Label",
    this.value = "Time",
    this.onChange,
    this.labelColor = ArtemisColors.primary,
    this.valueColor = ArtemisColors.texts,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Stack(
        children: [
          Container(
            margin: EdgeInsets.only(top: 15),
            decoration: BoxDecoration(
                color: backgroundColor,
                borderRadius: BorderRadius.circular(5),
                border: Border.all(
                  width: 1,
                  color: ArtemisColors.veryLightPink,
                )),
            height: 50,
            child: TextButton(
              style: TextButton.styleFrom(
                padding: EdgeInsets.symmetric(horizontal: 16, vertical: 4),
              ),
              onPressed: onChange,
              child: Row(
                children: [
                  Text(
                    "$label",
                    style: TextStyle(fontSize: 16, color: labelColor),
                  ),
                  Spacer(),
                  Text(
                    "${value ?? "Time"}",
                    style: TextStyle(fontSize: 14, color: valueColor),
                  )
                ],
              ),
            ),
          ),
          Align(
            alignment: Alignment.topCenter,
            child: Container(
              decoration: BoxDecoration(
                shape: BoxShape.circle,
                color: backgroundColor,
              ),
              height: 30,
              width: 30,
              padding: EdgeInsets.all(4),
              child: SizedBox(
                  child: Icon(
                Ionicons.time,
                size: 20,
                color: ArtemisColors.veryLightPink,
              )),
            ),
          )
        ],
      ),
    );
  }
}
